
Redmine - Feature #11993

Reload plugin assets on every request in development mode

2012-09-29 12:24 - John Yani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I develop a plugin that requires Ajax.

I've put my scripts to plugin/assets folder.

It's very inconvenient to develop a plugin since I have to reload redmine each time I change my scripts.

It would be great to reload plugin assets on each request.

Related issues:

Is duplicate of Redmine - Patch #31457: Add support for reloading plugin asse... Closed

History

#1 - 2012-09-29 19:04 - Jean-Philippe Lang

As a workaround, you can call Redmine::Plugin.mirror_assets(:your_plugin) from your plugin on each request when running in development

environment.

#2 - 2012-09-30 12:25 - Jean-Baptiste Barth

Other idea as a workaround, you can symlink public/plugin_assets/<your plugin> to plugins/<your plugin>/assets if you're on Linux, any *nix or

MacOS.. I don't know if there's something similar on Windows.

#3 - 2013-09-01 10:17 - Jongwook Choi

We need this.

#4 - 2020-03-05 05:12 - Go MAEDA

- Category set to Plugin API

- Status changed from New to Closed

- Resolution set to Duplicate

The feature has been implemented in Redmine 4.1.0 (#31457).

#5 - 2020-03-05 05:12 - Go MAEDA

- Is duplicate of Patch #31457: Add support for reloading plugin assets automatically in development mode added
